#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /*
     * This subroutine has information for CD's with 50 or more tracks
     */

#define TV_GREATEST_V4        1433385823 /* key parts = 3981.47.65.73 78 */
#define APARSCOURT_SOUNDCHK   1438525835 /* key parts = 3995.67.92.35 15 */
#define TV_GREATEST_V5        1472688225 /* key parts = 4090.60.65.75 47 */
#define TV_GREATEST_V7        1556520232 /* key parts = 4323.50.65.82 70 */
#define TV_GREATEST           1561646601 /* key parts = 4337.68.65.51 53 */
#define TV_GREATEST_V3        1581240208 /* key parts = 4392.25.65.58 77 */
#define TV_GREATEST_V2        1581878613 /* key parts = 4394.08.65.63 72 */
#define TV_GREATEST_V6        1610385814 /* key parts = 4473.22.65.64 157 */


void filltoc50(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APARSCOURT_SOUNDCHK ) { /* 1:06:35-67 */
	tocPtr->discPerformer = "Alan Parsons & Stephen Court";
	tocPtr->discTitle = "Sound Check";
	SET_CDtt( 1, 00.35, "Pink Noise Bands");
	SET_CDtt( 2, 00.25, " \" ");
	SET_CDtt( 3, 00.22, " \" ");
	SET_CDtt( 4, 00.43, " \" ");
	SET_CDtt( 5, 00.43, " \" ");
	SET_CDtt( 6, 00.42, " \" ");
	SET_CDtt( 7, 00.42, " \" ");
	SET_CDtt( 8, 00.44, " \" ");
	SET_CDtt( 9, 00.18, "Octave Bands");
	SET_CDtt(10, 00.11, " \" ");
	SET_CDtt(11, 00.12, " \" ");
	SET_CDtt(12, 00.13, " \" ");
	SET_CDtt(13, 00.13, " \" ");
	SET_CDtt(14, 00.13, " \" ");
	SET_CDtt(15, 00.12, " \" ");
	SET_CDtt(16, 00.13, " \" ");
	SET_CDtt(17, 00.13, " \" ");
	SET_CDtt(18, 00.13, " \" ");
	SET_CDtt(19, 00.13, " \" ");
	SET_CDtt(20, 00.13, " \" ");
	SET_CDtt(21, 00.12, " \" ");
	SET_CDtt(22, 00.12, " \" ");
	SET_CDtt(23, 00.12, " \" ");
	SET_CDtt(24, 00.12, " \" ");
	SET_CDtt(25, 00.12, " \" ");
	SET_CDtt(26, 00.12, " \" ");
	SET_CDtt(27, 00.13, " \" ");
	SET_CDtt(28, 00.13, " \" ");
	SET_CDtt(29, 00.12, " \" ");
	SET_CDtt(30, 00.13, " \" ");
	SET_CDtt(31, 00.12, " \" ");
	SET_CDtt(32, 00.11, " \" ");
	SET_CDtt(33, 00.12, " \" ");
	SET_CDtt(34, 00.12, " \" ");
	SET_CDtt(35, 00.11, " \" ");
	SET_CDtt(36, 00.12, " \" ");
	SET_CDtt(37, 00.12, " \" ");
	SET_CDtt(38, 00.11, " \" ");
	SET_CDtt(39, 00.11, " \" ");
	SET_CDtt(40, 00.15, " \" ");
	SET_CDtt(41, 00.22, "Sweep Tones");
	SET_CDtt(42, 00.39, " \" ");
	SET_CDtt(43, 00.41, " \" ");
	SET_CDtt(44, 00.22, "Sine and Square Wave Spot Frequencies");
	SET_CDtt(45, 00.11, " \" ");
	SET_CDtt(46, 00.12, " \" ");
	SET_CDtt(47, 00.12, " \" ");
	SET_CDtt(48, 00.12, " \" ");
	SET_CDtt(49, 00.11, " \" ");
	SET_CDtt(50, 00.11, " \" ");
	SET_CDtt(51, 00.12, " \" ");
	SET_CDtt(52, 00.11, " \" ");
	SET_CDtt(53, 00.11, " \" ");
	SET_CDtt(54, 00.12, " \" ");
	SET_CDtt(55, 00.13, " \" ");
	SET_CDtt(56, 00.33, "Sine wave sweep 20Hz-20kHz");
	SET_CDtt(57, 00.12, "1kHz square wave @ -20dB FS");
	SET_CDtt(58, 00.11, "5kHz square wave @ -20dB FS");
	SET_CDtt(59, 00.37, "Max Level Tone  (* USE WITH CAUTION! *)");
	SET_CDtt(60, 00.55, "Instrumental and Vocal: Spoken Word");
	SET_CDtt(61, 01.05, "Piano");
	SET_CDtt(62, 00.34, "Acoustic Guitar, Finger Style");
	SET_CDtt(63, 00.38, "Acoustic Guitar, Strummed");
	SET_CDtt(64, 01.37, "Spanish Guitar");
	SET_CDtt(65, 01.23, "Electric Guitar, Clean");
	SET_CDtt(66, 01.18, "Electric Guitar, Distorted");
	SET_CDtt(67, 01.12, "Bass Guitar");
	SET_CDtt(68, 01.05, "Flute");
	SET_CDtt(69, 01.06, "Saxophone");
	SET_CDtt(70, 01.00, "Vocal");
	SET_CDtt(71, 00.40, "Bongos");
	SET_CDtt(72, 00.44, "Tambourine");
	SET_CDtt(73, 00.17, "Kick Drum");
	SET_CDtt(74, 00.18, "Snare Drum");
	SET_CDtt(75, 00.59, "Cymbals and Hi-hat");
	SET_CDtt(76, 00.43, "Toms");
	SET_CDtt(77, 01.40, "Whole Drum Kit");
	SET_CDtt(78, 01.22, "Violins");
	SET_CDtt(79, 01.32, "Cellos and Violas");
	SET_CDtt(80, 01.34, "Music Tracks:  The Race  [Yello]");
	SET_CDtt(81, 02.02, "Limelight  [Alan Parsons Project]");
	SET_CDtt(82, 01.47, "Seasons of our Lives  [Graham De Wilde and Mitch Dalton]");
	SET_CDtt(83, 02.36, "Bach's Toccata and Fugue in D minor  [Daniel Chorzempa, organ]");
	SET_CDtt(84, 00.33, "Sound Effects:  Sub machine gun");
	SET_CDtt(85, 00.53, "Chieftain Tank");
	SET_CDtt(86, 00.24, "Thunderstorm");
	SET_CDtt(87, 02.48, "Steam Trains");
	SET_CDtt(88, 01.00, "100mph jet flypast");
	SET_CDtt(89, 05.02, "Utility Tracks");
	SET_CDtt(90, 05.06, " \" ");
	SET_CDtt(91, 05.05, " \" ");
	SET_CDtt(92, 00.15, " \" ");
	}
    if ( cdKey == TV_GREATEST ) { /* 1:12:17-68 */
	tocPtr->discPerformer = "Various Artists/ Tee Vee Toons";
	tocPtr->discTitle = "Television's Greatest Hits";
#     if !defined(SKIPSONGS_VA_Tee_Vee_Toons)
	SET_CDtt( 1, 00.51, "Captain Kangaroo");
	SET_CDtt( 2, 00.57, "The Little Rascals");
	SET_CDtt( 3, 01.26, "The Flintstones");
	SET_CDtt( 4, 00.49, "Woody Woodpecker Show");
	SET_CDtt( 5, 01.07, "Bugs Bunny Overture");
	SET_CDtt( 6, 00.42, "Casper, the Friendly Ghost");
	SET_CDtt( 7, 00.31, "Felix the Cat");
	SET_CDtt( 8, 01.28, "Popeye");
	SET_CDtt( 9, 00.38, "Yogi Bear");
	SET_CDtt(10, 00.44, "Magilla Gorilla");
	SET_CDtt(11, 00.51, "Top Cat");
	SET_CDtt(12, 01.41, "The Jetsons");
	SET_CDtt(13, 01.26, "Fireball XL-5");
	SET_CDtt(14, 00.57, "Howdy Doody");
	SET_CDtt(15, 01.16, "The Beverly Hillbillies");
	SET_CDtt(16, 01.32, "Petticoat Junction");
	SET_CDtt(17, 01.09, "Green Acres");
	SET_CDtt(18, 00.55, "Mr. Ed");
	SET_CDtt(19, 00.48, "The Munsters");
	SET_CDtt(20, 01.25, "The Addams Family");
	SET_CDtt(21, 01.03, "My Three Sons");
	SET_CDtt(22, 01.01, "The Donna Reed Show");
	SET_CDtt(23, 01.23, "Leave It To Beaver");
	SET_CDtt(24, 01.05, "Dennis the Menace");
	SET_CDtt(25, 01.18, "Dobie Gillis");
	SET_CDtt(26, 01.15, "The Patty Duke Show");
	SET_CDtt(27, 00.43, "The Dick Van Dyke Show");
	SET_CDtt(28, 01.35, "Gilligan's Island");
	SET_CDtt(29, 00.31, "McHale's Navy");
	SET_CDtt(30, 00.50, "I Dream of Jeannie");
	SET_CDtt(31, 01.02, "I Love Lucy");
	SET_CDtt(32, 00.54, "The Andy Griffith Show");
	SET_CDtt(33, 01.25, "Star Trek");
	SET_CDtt(34, 01.05, "Lost in Space");
	SET_CDtt(35, 00.56, "The Twilight Zone");
	SET_CDtt(36, 01.00, "Alfred Hitchcock Presents");
	SET_CDtt(37, 01.50, "Superman");
	SET_CDtt(38, 01.12, "Batman");
	SET_CDtt(39, 01.26, "Flipper");
	SET_CDtt(40, 00.56, "Combat");
	SET_CDtt(41, 01.08, "The Rifleman");
	SET_CDtt(42, 00.40, "Bonanza");
	SET_CDtt(43, 00.57, "Branded");
	SET_CDtt(44, 01.16, "FTroop");
	SET_CDtt(45, 01.01, "Rin Tin Tin");
	SET_CDtt(46, 00.51, "Daniel Boone");
	SET_CDtt(47, 01.27, "The Wild Wild West");
	SET_CDtt(48, 01.18, "The Lone Ranger");
	SET_CDtt(49, 00.59, "Happy Trails");
	SET_CDtt(50, 00.55, "Mission: Impossible");
	SET_CDtt(51, 01.21, "Man from U.N.C.L.E.");
	SET_CDtt(52, 00.58, "Get Smart");
	SET_CDtt(53, 02.16, "Secret Agent Man");
	SET_CDtt(54, 01.20, "Dragnet");
	SET_CDtt(55, 01.12, "Perry Mason");
	SET_CDtt(56, 00.51, "Adam12");
	SET_CDtt(57, 01.13, "The F.B.I.");
	SET_CDtt(58, 01.02, "Hawaii FiveO");
	SET_CDtt(59, 01.04, "77 Sunset Strip");
	SET_CDtt(60, 01.13, "Surfside 6");
	SET_CDtt(61, 00.49, "Ironside");
	SET_CDtt(62, 01.28, "Mannix");
	SET_CDtt(63, 01.04, "The Mod Squad");
	SET_CDtt(64, 01.16, "The Tonight Show");
	SET_CDtt(65, 00.53, "The Late Late Show");
#     endif
	}
    if ( cdKey == TV_GREATEST_V2 ) { /* 1:13:14-08 */
	tocPtr->discPerformer = "Various Artists/ Tee Vee Toons";
	tocPtr->discTitle = "Television's Greatest Hits: Volume II";
#     if !defined(SKIPSONGS_VA_Tee_Vee_Toons)
	SET_CDtt( 1, 01.03, "The Three Stooges");
	SET_CDtt( 2, 00.41, "Merrie Melodies");
	SET_CDtt( 3, 01.32, "Rocky & Bullwinkle");
	SET_CDtt( 4, 00.39, "Huckleberry Hound");
	SET_CDtt( 5, 00.30, "Mighty Mouse");
	SET_CDtt( 6, 00.56, "Courageous Cat & Minute Mouse");
	SET_CDtt( 7, 02.00, "Pink Panther");
	SET_CDtt( 8, 01.02, "Road Runner");
	SET_CDtt( 9, 01.02, "George of the Jungle");
	SET_CDtt(10, 01.36, "Jonny Quest");
	SET_CDtt(11, 01.02, "SpiderMan");
	SET_CDtt(12, 01.15, "Underdog");
	SET_CDtt(13, 00.28, "Looney Tunes");
	SET_CDtt(14, 02.22, "Peanuts Theme");
	SET_CDtt(15, 01.33, "Mr. Rogers' Neighborhood");
	SET_CDtt(16, 01.17, "The Odd Couple");
	SET_CDtt(17, 00.59, "The Courtship of Eddie's Father");
	SET_CDtt(18, 00.58, "Mary Tyler Moore");
	SET_CDtt(19, 01.26, "Gidget");
	SET_CDtt(20, 00.55, "That Girl");
	SET_CDtt(21, 01.02, "Bewitched");
	SET_CDtt(22, 00.53, "Love, American Style");
	SET_CDtt(23, 01.24, "The Honeymooners");
	SET_CDtt(24, 00.41, "I Married Joan");
	SET_CDtt(25, 00.53, "The Monkees");
	SET_CDtt(26, 01.02, "The Brady Bunch");
	SET_CDtt(27, 01.05, "The Partridge Family");
	SET_CDtt(28, 00.56, "My Mother the Car");
	SET_CDtt(29, 01.12, "Car 54, Where Are You?");
	SET_CDtt(30, 01.30, "It's About Time");
	SET_CDtt(31, 00.53, "My Favorite Martian");
	SET_CDtt(32, 00.38, "Jeopardy");
	SET_CDtt(33, 00.45, "Hogan's Heroes");
	SET_CDtt(34, 00.54, "Gomer Pyle, U.S.M.C.");
	SET_CDtt(35, 01.42, "Rat Patrol");
	SET_CDtt(36, 01.16, "Twelve O'Clock High");
	SET_CDtt(37, 00.41, "Time Tunnel");
	SET_CDtt(38, 00.51, "Voyage to the Bottom of the Sea");
	SET_CDtt(39, 01.00, "Sea Hunt");
	SET_CDtt(40, 01.01, "Dakari");
	SET_CDtt(41, 01.08, "Tarzan");
	SET_CDtt(42, 01.09, "Adventures of Robin Hood");
	SET_CDtt(43, 00.54, "Rawhide");
	SET_CDtt(44, 01.08, "Bat Masterson");
	SET_CDtt(45, 01.10, "Maverick");
	SET_CDtt(46, 00.49, "Wagon Train");
	SET_CDtt(47, 00.50, "Have Gun Will Travel");
	SET_CDtt(48, 00.52, "The Virginian");
	SET_CDtt(49, 02.01, "The Rebel");
	SET_CDtt(50, 01.05, "Peter Gunn");
	SET_CDtt(51, 01.11, "Route 66");
	SET_CDtt(52, 01.00, "I Spy");
	SET_CDtt(53, 01.56, "The Avengers");
	SET_CDtt(54, 00.59, "The Saint");
	SET_CDtt(55, 01.17, "Hawaiian Eye");
	SET_CDtt(56, 00.59, "The Green Hornet");
	SET_CDtt(57, 01.12, "Outer Limits");
	SET_CDtt(58, 01.13, "Dark Shadows");
	SET_CDtt(59, 01.29, "Ben Casey");
	SET_CDtt(60, 00.43, "Medical Center");
	SET_CDtt(61, 01.05, "The NBC Mystery Movie");
	SET_CDtt(62, 01.08, "ABC's Wide World of Sports");
	SET_CDtt(63, 02.02, "The Jackie Gleason Show");
	SET_CDtt(64, 01.05, "The Smothers Brothers Comedy Hour");
	SET_CDtt(65, 01.12, "Monty Python's Flying Circus");
#     endif
	}
    if ( cdKey == TV_GREATEST_V3 ) { /* 1:13:12-25 */
	tocPtr->discPerformer = "Various Artists/ Tee Vee Toons";
	tocPtr->discTitle = "Television's Greatest Hits of the 70's and 80's";
#     if !defined(SKIPSONGS_VA_Tee_Vee_Toons)
	SET_CDtt( 1, 00.58, "Sesame Street");
	SET_CDtt( 2, 01.12, "The Muppet Show");
	SET_CDtt( 3, 01.06, "The Alvin Show");
	SET_CDtt( 4, 01.11, "Speed Racer");
	SET_CDtt( 5, 00.47, "Mr. Magoo");
	SET_CDtt( 6, 01.15, "Inspector Gadget");
	SET_CDtt( 7, 01.04, "The Smurfs");
	SET_CDtt( 8, 01.15, "Dastardly & Muttley");
	SET_CDtt( 9, 01.03, "ScoobyDoo");
	SET_CDtt(10, 01.04, "Fat Albert & The Cosby Kids");
	SET_CDtt(11, 01.02, "The Archies");
	SET_CDtt(12, 01.02, "Josie and the Pussycats");
	SET_CDtt(13, 00.24, "Dudley Doright");
	SET_CDtt(14, 00.25, "Fractured Fairy Tales");
	SET_CDtt(15, 01.06, "Cheers");
	SET_CDtt(16, 01.05, "Bob Newhart Show");
	SET_CDtt(17, 01.47, "Greatest American Hero");
	SET_CDtt(18, 00.58, "Welcome Back, Kotter");
	SET_CDtt(19, 01.31, "Room 222");
	SET_CDtt(20, 00.45, "WKRP in Cincinnati");
	SET_CDtt(21, 01.05, "Taxi");
	SET_CDtt(22, 00.48, "Barney Miller");
	SET_CDtt(23, 01.02, "Three's Company");
	SET_CDtt(24, 01.17, "Happy Days");
	SET_CDtt(25, 01.19, "Laverne and Shirley");
	SET_CDtt(26, 00.54, "Facts of Life");
	SET_CDtt(27, 00.50, "Good Times");
	SET_CDtt(28, 00.54, "One Day at a Time");
	SET_CDtt(29, 00.54, "Gimme A Break");
	SET_CDtt(30, 00.49, "Maude");
	SET_CDtt(31, 01.10, "The Jeffersons");
	SET_CDtt(32, 00.47, "All in the Family");
	SET_CDtt(33, 00.56, "Sanford and Son");
	SET_CDtt(34, 01.14, "Dallas");
	SET_CDtt(35, 01.19, "Dynasty");
	SET_CDtt(36, 01.36, "Knot's Landing");
	SET_CDtt(37, 01.36, "L.A. Law");
	SET_CDtt(38, 01.29, "St. Elsewhere");
	SET_CDtt(39, 01.01, "Marcus Welby, M.D.");
	SET_CDtt(40, 00.55, "M*A*S*H");
	SET_CDtt(41, 01.04, "The Waltons");
	SET_CDtt(42, 00.57, "Little House on the Praire");
	SET_CDtt(43, 01.21, "Hart to Hart");
	SET_CDtt(44, 01.06, "Charlie's Angels");
	SET_CDtt(45, 01.38, "Wonder Woman");
	SET_CDtt(46, 01.37, "Love Boat");
	SET_CDtt(47, 01.25, "American Bandstand");
	SET_CDtt(48, 01.25, "Solid Gold");
	SET_CDtt(49, 01.30, "Entertainment Tonight");
	SET_CDtt(50, 01.02, "Miami Vice");
	SET_CDtt(51, 01.14, "SWAT");
	SET_CDtt(52, 01.07, "Baretta");
	SET_CDtt(53, 01.07, "Streets of San Francisco");
	SET_CDtt(54, 00.55, "Barnaby Jones");
	SET_CDtt(55, 01.15, "Starsky & Hutch");
	SET_CDtt(56, 01.02, "The Rookies");
	SET_CDtt(57, 00.52, "Kojak");
	SET_CDtt(58, 01.40, "The ATeam");
	SET_CDtt(59, 01.14, "The Name of the Game");
	SET_CDtt(60, 01.04, "Quincy, M.E.");
	SET_CDtt(61, 01.19, "Hill Street Blues");
	SET_CDtt(62, 01.05, "Simon & Simon");
	SET_CDtt(63, 01.03, "Magnum, P.I.");
	SET_CDtt(64, 00.56, "Rockford Files");
	SET_CDtt(65, 01.17, "Saturday Night Live");
#     endif
	}
    if ( cdKey == TV_GREATEST_V4 ) { /* 1:06:21-47 */
	tocPtr->discPerformer = "Various Artists/ Tee Vee Toons";
	tocPtr->discTitle = "Television's Greatest Hits: Volume 4, Black & White Classics";
#     if !defined(SKIPSONGS_VA_Tee_Vee_Toons)
	SET_CDtt( 1, 01.13, "Astro Boy");
	SET_CDtt( 2, 00.45, "Roger Ramjet");
	SET_CDtt( 3, 00.45, "The Mighty Hercules");
	SET_CDtt( 4, 00.44, "The Gumby Show");
	SET_CDtt( 5, 01.16, "The Beany & Cecil Show");
	SET_CDtt( 6, 01.05, "Tennessee Tuxedo");
	SET_CDtt( 7, 00.48, "Quick Draw McGraw");
	SET_CDtt( 8, 00.28, "Wally Gator");
	SET_CDtt( 9, 01.14, "King Leonardo & His Short Subjects");
	SET_CDtt(10, 00.54, "The Big World of Little Adam");
	SET_CDtt(11, 00.40, "Kukla, Fran and Ollie");
	SET_CDtt(12, 00.53, "The Soupy Sales Show");
	SET_CDtt(13, 01.08, "Captain Midnight");
	SET_CDtt(14, 00.54, "Make Room for Daddy");
	SET_CDtt(15, 00.44, "Father Knows Best");
	SET_CDtt(16, 01.18, "My Little Margie");
	SET_CDtt(17, 00.34, "The Adventures of Ozzie and Harriet");
	SET_CDtt(18, 00.32, "Hazel");
	SET_CDtt(19, 01.12, "Our Miss Brooks");
	SET_CDtt(20, 00.47, "Karen");
	SET_CDtt(21, 00.53, "The Real McCoys");
	SET_CDtt(22, 00.56, "Lassie");
	SET_CDtt(23, 01.33, "Walt Disney's Wonderful World of Color");
	SET_CDtt(24, 01.44, "Davy Crockett, King of the Wild Frontier");
	SET_CDtt(25, 01.42, "The Life and Legend of Wyatt Earp");
	SET_CDtt(26, 01.37, "Gunsmoke");
	SET_CDtt(27, 00.55, "The Lawman");
	SET_CDtt(28, 01.06, "26 Men");
	SET_CDtt(29, 01.03, "Colt .45");
	SET_CDtt(30, 01.15, "Cheyenne");
	SET_CDtt(31, 01.15, "Bronco");
	SET_CDtt(32, 00.50, "The Legend of Jesse James");
	SET_CDtt(33, 00.59, "Hopalong Cassidy");
	SET_CDtt(34, 00.55, "The Everglades");
	SET_CDtt(35, 01.06, "Adventures in Paradise");
	SET_CDtt(36, 00.57, "Victory at Sea");
	SET_CDtt(37, 01.03, "Dr. Kildare");
	SET_CDtt(38, 01.26, "Medic");
	SET_CDtt(39, 00.59, "Burke's Law");
	SET_CDtt(40, 00.54, "Highway Patrol");
	SET_CDtt(41, 00.57, "M-Squad");
	SET_CDtt(42, 00.56, "The Detectives");
	SET_CDtt(43, 01.05, "The Untouchables");
	SET_CDtt(44, 01.04, "The Fugitive");
	SET_CDtt(45, 00.57, "Checkmate");
	SET_CDtt(46, 00.49, "Tightrope!");
	SET_CDtt(47, 01.10, "Mr. Lucky");
	SET_CDtt(48, 01.13, "Bourbon Street Beat");
	SET_CDtt(49, 01.20, "Pete Kelly's Blues");
	SET_CDtt(50, 00.44, "Asphalt Jungle");
	SET_CDtt(51, 01.03, "Mr. Broadway");
	SET_CDtt(52, 00.46, "Johnny Staccato");
	SET_CDtt(53, 00.52, "Naked City");
	SET_CDtt(54, 00.32, "The Twenty-First Century");
	SET_CDtt(55, 01.20, "The French Chef");
	SET_CDtt(56, 00.58, "Candid Camera");
	SET_CDtt(57, 01.00, "You Bet Your Life");
	SET_CDtt(58, 01.19, "Amos 'n' Andy");
	SET_CDtt(59, 00.37, "The Abbott and Costello Show");
	SET_CDtt(60, 00.48, "Laurel and Hardy Laughtoons");
	SET_CDtt(61, 01.07, "The Lawrence Welk Show");
	SET_CDtt(62, 01.06, "Ted Mack's Original Amateur Hour");
	SET_CDtt(63, 01.21, "Miss America Pageant");
	SET_CDtt(64, 00.55, "The Red Skelton Show");
	SET_CDtt(65, 01.18, "The Bob Hope Show");
#     endif
	}
    if ( cdKey == TV_GREATEST_V5 ) { /* 1:08:10-60 */
	tocPtr->discPerformer = "Various Artists/ Tee Vee Toons";
	tocPtr->discTitle = "Television's Greatest Hits: Volume 5, In Living Color";
#     if !defined(SKIPSONGS_VA_Tee_Vee_Toons)
	SET_CDtt( 1, 01.15, "Stingray");
	SET_CDtt( 2, 01.14, "Thunderbirds");
	SET_CDtt( 3, 00.56, "Gigantor");
	SET_CDtt( 4, 01.15, "Cool McCool");
	SET_CDtt( 5, 01.06, "The Go-Go Gophers");
	SET_CDtt( 6, 01.42, "The World of Commander McBragg");
	SET_CDtt( 7, 00.46, "Secret Squirrel");
	SET_CDtt( 8, 00.47, "The Atom Ant Show");
	SET_CDtt( 9, 01.16, "Wacky Races");
	SET_CDtt(10, 01.04, "Hong Kong Phooey");
	SET_CDtt(11, 00.32, "Superchicken");
	SET_CDtt(12, 00.32, "Tom Slick Racer");
	SET_CDtt(13, 01.52, "H.R. Pufnstuf");
	SET_CDtt(14, 00.58, "Land of the Lost");
	SET_CDtt(15, 01.18, "Sigmund and the Sea Monsters");
	SET_CDtt(16, 01.27, "The Banana Splits");
	SET_CDtt(17, 01.13, "Chico and the Man");
	SET_CDtt(18, 00.44, "Please Don't Eat the Daisies");
	SET_CDtt(19, 01.01, "The Ghost and Mrs. Muir");
	SET_CDtt(20, 01.05, "Nanny and the Professor");
	SET_CDtt(21, 00.54, "Here Come the Brides");
	SET_CDtt(22, 01.03, "The Flying Nun");
	SET_CDtt(23, 00.47, "Family Affair");
	SET_CDtt(24, 00.53, "The Dating Game");
	SET_CDtt(25, 01.26, "The Newlywed game");
	SET_CDtt(26, 01.16, "Let's Make a Deal");
	SET_CDtt(27, 01.06, "All My Children");
	SET_CDtt(28, 01.39, "General Hospital");
	SET_CDtt(29, 00.52, "Peyton Place");
	SET_CDtt(30, 00.52, "Mary Hartman, Mary Hartman");
	SET_CDtt(31, 00.38, "Gentle Ben");
	SET_CDtt(32, 01.00, "Skippy, the Bush Kangaroo");
	SET_CDtt(33, 01.08, "Life and Times of Grizzly Adams");
	SET_CDtt(34, 00.43, "The High Chaparral");
	SET_CDtt(35, 01.00, "The Big Valley");
	SET_CDtt(36, 01.03, "Cimarron Strip");
	SET_CDtt(37, 00.48, "Laredo");
	SET_CDtt(38, 01.03, "The Men From Shiloh");
	SET_CDtt(39, 01.12, "It Takes a Thief");
	SET_CDtt(40, 00.51, "The Magician");
	SET_CDtt(41, 01.03, "Switch");
	SET_CDtt(42, 00.52, "The Felony Squad");
	SET_CDtt(43, 01.02, "Police Woman");
	SET_CDtt(44, 01.07, "The Men");
	SET_CDtt(45, 01.06, "Cannon");
	SET_CDtt(46, 00.50, "Judd for the Defense");
	SET_CDtt(47, 00.57, "Emergency!");
	SET_CDtt(48, 00.33, "Police Story");
	SET_CDtt(49, 00.59, "Six Million Dollar Man");
	SET_CDtt(50, 01.24, "The Bionic Woman");
	SET_CDtt(51, 00.37, "The Girl from U.N.C.L.E.");
	SET_CDtt(52, 00.38, "Night Gallery");
	SET_CDtt(53, 01.04, "Kolchak: The Night Stalker");
	SET_CDtt(54, 00.52, "The Invaders");
	SET_CDtt(55, 01.04, "Land of the Giants");
	SET_CDtt(56, 00.59, "Lost in Space");
	SET_CDtt(57, 00.56, "Olympic Fanfare");
	SET_CDtt(58, 01.03, "Masterpiece Theatre");
	SET_CDtt(59, 01.14, "Hullabaloo");
	SET_CDtt(60, 01.17, "Where the Action Is");
	SET_CDtt(61, 01.30, "Happening '68");
	SET_CDtt(62, 01.08, "This Is Tom Jones");
	SET_CDtt(63, 01.34, "Rowan and Martin's Laugh-In");
	SET_CDtt(64, 01.15, "The Dean Martin Show");
	SET_CDtt(65, 00.47, "The Carol Burnett Show");
#     endif
	}
    if ( cdKey == TV_GREATEST_V6 ) { /* 1:14:33-22 */
	tocPtr->discPerformer = "Various Artists/ Tee Vee Toons";
	tocPtr->discTitle = "Television's Greatest Hits: Volume 6, Remote Control";
#     if !defined(SKIPSONGS_VA_Tee_Vee_Toons)
	SET_CDtt( 1, 01.04, "Fish");
	SET_CDtt( 2, 00.43, "Night Court");
	SET_CDtt( 3, 00.56, "What's Happening?");
	SET_CDtt( 4, 00.54, "Dif'rent Strokes");
	SET_CDtt( 5, 00.59, "Mr. Belvedere");
	SET_CDtt( 6, 01.04, "Growing Pains");
	SET_CDtt( 7, 00.58, "Charles in Charge");
	SET_CDtt( 8, 01.02, "Silver Spoons");
	SET_CDtt( 9, 01.04, "Webster");
	SET_CDtt(10, 00.57, "Too Close for Comfort");
	SET_CDtt(11, 01.03, "Who's The Boss");
	SET_CDtt(12, 01.15, "Perfect Strangers");
	SET_CDtt(13, 01.02, "Alice");
	SET_CDtt(14, 01.13, "It's a Living");
	SET_CDtt(15, 01.20, "Angie");
	SET_CDtt(16, 01.02, "227");
	SET_CDtt(17, 00.43, "The Golden Girls");
	SET_CDtt(18, 01.11, "Alf");
	SET_CDtt(19, 01.28, "Mork & Mindy");
	SET_CDtt(20, 01.04, "Police Squad");
	SET_CDtt(21, 01.03, "Family Ties");
	SET_CDtt(22, 01.03, "Moonlighting");
	SET_CDtt(23, 01.16, "Soap");
	SET_CDtt(24, 01.05, "Benson");
	SET_CDtt(25, 01.05, "The Benny Hill Show");
	SET_CDtt(26, 00.38, "The Young Ones");
	SET_CDtt(27, 00.45, "The People's Court");
	SET_CDtt(28, 01.06, "Family Feud");
	SET_CDtt(29, 01.07, "The Price is Right");
	SET_CDtt(30, 00.39, "Siskel and Ebert");
	SET_CDtt(31, 01.20, "Monday Night Football");
	SET_CDtt(32, 01.14, "Lifestyles of the Rich and Famous");
	SET_CDtt(33, 01.12, "Fame");
	SET_CDtt(34, 01.16, "Paper Chase");
	SET_CDtt(35, 01.02, "Fantasy Island");
	SET_CDtt(36, 01.09, "Falcon Crest");
	SET_CDtt(37, 01.20, "The Colbys");
	SET_CDtt(38, 01.40, "Highway to Heaven");
	SET_CDtt(39, 01.03, "The Dukes of Hazzard");
	SET_CDtt(40, 01.27, "B.J. and the Bear");
	SET_CDtt(41, 01.10, "Movin' On");
	SET_CDtt(42, 01.47, "The Fall Guy");
	SET_CDtt(43, 00.55, "James at 15");
	SET_CDtt(44, 01.13, "Eight is Enough");
	SET_CDtt(45, 01.17, "Baa Baa Black Sheep");
	SET_CDtt(46, 01.13, "Trapper John, M.D.");
	SET_CDtt(47, 01.16, "Chips");
	SET_CDtt(48, 01.27, "Vegas");
	SET_CDtt(49, 00.59, "Matt Houston");
	SET_CDtt(50, 01.18, "Cagney & Lacey");
	SET_CDtt(51, 01.03, "T.J. Hooker");
	SET_CDtt(52, 01.03, "Hardcastle and McCormick");
	SET_CDtt(53, 01.03, "Hunter");
	SET_CDtt(54, 01.11, "MacGyver");
	SET_CDtt(55, 01.19, "Knight Rider");
	SET_CDtt(56, 00.58, "Airwolf");
	SET_CDtt(57, 01.13, "The Incredible Hulk");
	SET_CDtt(58, 01.04, "V: The Series");
	SET_CDtt(59, 00.49, "The New Twilight Zone");
	SET_CDtt(60, 01.13, "Doctor Who");
	SET_CDtt(61, 00.48, "Mystery!");
	SET_CDtt(62, 01.03, "The Hardy Boys/ Nancy Drew Mysteries");
	SET_CDtt(63, 01.46, "Roots");
	SET_CDtt(64, 01.14, "Vietnam: A Television History");
	SET_CDtt(65, 02.37, "Cosmos");
#     endif
	}
    if ( cdKey == TV_GREATEST_V7 ) { /* 1:12:03-50 */
	tocPtr->discPerformer = "Various Artists/ Tee Vee Toons";
	tocPtr->discTitle = "Television's Greatest Hits: Volume 7, Cable Ready";
#     if !defined(SKIPSONGS_VA_Tee_Vee_Toons)
	SET_CDtt( 1, 01.22, "The Simpsons");
	SET_CDtt( 2, 00.45, "Ren and Stimpy");
	SET_CDtt( 3, 00.56, "The Brothers Grunt");
	SET_CDtt( 4, 00.40, "Duckman");
	SET_CDtt( 5, 01.00, "Adventures of Pete and Pete");
	SET_CDtt( 6, 00.38, "Space Ghost Coast to Coast");
	SET_CDtt( 7, 00.35, "Clarissa Explains it All");
	SET_CDtt( 8, 00.54, "Barney and Friends");
	SET_CDtt( 9, 01.36, "Where in the World is Carmen Sandiego?");
	SET_CDtt(10, 01.05, "Saved by the Bell");
	SET_CDtt(11, 01.03, "Major Dad");
	SET_CDtt(12, 00.59, "My Two Dads");
	SET_CDtt(13, 00.48, "Blossom");
	SET_CDtt(14, 01.03, "Full House");
	SET_CDtt(15, 00.55, "Empty Nest");
	SET_CDtt(16, 01.23, "Family Matters");
	SET_CDtt(17, 00.59, "The Cosby Show");
	SET_CDtt(18, 01.10, "A Different World");
	SET_CDtt(19, 00.47, "Roc");
	SET_CDtt(20, 01.13, "Fresh Prince of Bel-Air");
	SET_CDtt(21, 01.09, "Home Improvement");
	SET_CDtt(22, 01.13, "Roseanne");
	SET_CDtt(23, 00.53, "Seinfeld");
	SET_CDtt(24, 01.40, "Mad About You");
	SET_CDtt(25, 00.42, "It's Garry Shandling's Show");
	SET_CDtt(26, 00.47, "The John Larroquette Show");
	SET_CDtt(27, 00.35, "Hudson Street");
	SET_CDtt(28, 00.54, "The Single Guy");
	SET_CDtt(29, 00.42, "Davis Rules");
	SET_CDtt(30, 00.28, "Murphy Brown");
	SET_CDtt(31, 00.48, "The Nanny");
	SET_CDtt(32, 00.48, "Designing Women");
	SET_CDtt(33, 01.10, "Doogie Howser, M.D.");
	SET_CDtt(34, 00.57, "Wings");
	SET_CDtt(35, 01.02, "Anything But Love");
	SET_CDtt(36, 00.59, "Evening Shade");
	SET_CDtt(37, 00.53, "The Days and Nights of Molly Dodd");
	SET_CDtt(38, 00.41, "Sisters");
	SET_CDtt(39, 01.02, "I'll Fly Away");
	SET_CDtt(40, 01.12, "Thirty-Something");
	SET_CDtt(41, 01.11, "My So-Called Life");
	SET_CDtt(42, 01.35, "Beverly Hills 90210");
	SET_CDtt(43, 01.32, "Melrose Place");
	SET_CDtt(44, 01.03, "The Heights");
	SET_CDtt(45, 01.02, "21 Jump Street");
	SET_CDtt(46, 01.13, "In the Heat of the Night");
	SET_CDtt(47, 01.33, "Midnight Caller");
	SET_CDtt(48, 01.11, "America's Most Wanted");
	SET_CDtt(49, 01.54, "Unsolved Mysteries");
	SET_CDtt(50, 00.49, "Sledge Hammer");
	SET_CDtt(51, 01.04, "The Equalizer");
	SET_CDtt(52, 01.07, "N.Y.P.D. Blue");
	SET_CDtt(53, 01.24, "Law and Order");
	SET_CDtt(54, 02.44, "Twin Peaks");
	SET_CDtt(55, 01.45, "Star Trek: The Next Generation");
	SET_CDtt(56, 01.43, "Alien Nation");
	SET_CDtt(57, 01.03, "Lois and Clark: The New Adventures of Superman");
	SET_CDtt(58, 01.26, "Tales from the Crypt");
	SET_CDtt(59, 01.27, "Quantum Leap");
	SET_CDtt(60, 01.04, "Max Headroom");
	SET_CDtt(61, 01.39, "Liquid Television");
	SET_CDtt(62, 01.10, "HBO Feature Presentation");
	SET_CDtt(63, 00.46, "The Tracy Ullman Show");
	SET_CDtt(64, 01.00, "Kids in the Hall");
	SET_CDtt(65, 01.10, "The Late Show with David Letterman");
#     endif
	}

}
